Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in ImageMagick
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in ImageMagick
ID: openSUSE-SU-2017:0023-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.1, SUSE openSUSE Leap 42.2
Datum: Mi, 4. Januar 2017, 23:08
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9773
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-8866
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-8707
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9556
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9848
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9559

Originalnachricht

   openSUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0023-1
Rating: important
References: #1009318 #1011130 #1011136 #1013376 #1014159

Cross-References: CVE-2014-9848 CVE-2016-8707 CVE-2016-8866
CVE-2016-9556 CVE-2016-9559 CVE-2016-9773

Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:

This update for ImageMagick fixes the following issues:

* CVE-2016-9556 Possible Heap-overflow found by fuzzing [bsc#1011130]
* CVE-2016-9559 Possible Null pointer access found by fuzzing
[bsc#1011136]
* CVE-2016-8707 Possible code execution in Tiff conver utility
[bsc#1014159]
* CVE-2016-8866 Memory allocation failure in AcquireMagickMemory could
lead to Heap overflow [bsc#1009318]
* CVE-2016-9559 Possible Null pointer access found by fuzzing
[bsc#1011136]

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-14=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-14=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

ImageMagick-6.8.8.1-25.1
ImageMagick-debuginfo-6.8.8.1-25.1
ImageMagick-debugsource-6.8.8.1-25.1
ImageMagick-devel-6.8.8.1-25.1
ImageMagick-extra-6.8.8.1-25.1
ImageMagick-extra-debuginfo-6.8.8.1-25.1
libMagick++-6_Q16-3-6.8.8.1-25.1
libMagick++-6_Q16-3-debuginfo-6.8.8.1-25.1
libMagick++-devel-6.8.8.1-25.1
libMagickCore-6_Q16-1-6.8.8.1-25.1
libMagickCore-6_Q16-1-debuginfo-6.8.8.1-25.1
libMagickWand-6_Q16-1-6.8.8.1-25.1
libMagickWand-6_Q16-1-debuginfo-6.8.8.1-25.1
perl-PerlMagick-6.8.8.1-25.1
perl-PerlMagick-debuginfo-6.8.8.1-25.1

- openSUSE Leap 42.2 (x86_64):

ImageMagick-devel-32bit-6.8.8.1-25.1
libMagick++-6_Q16-3-32bit-6.8.8.1-25.1
libMagick++-6_Q16-3-debuginfo-32bit-6.8.8.1-25.1
libMagick++-devel-32bit-6.8.8.1-25.1
libMagickCore-6_Q16-1-32bit-6.8.8.1-25.1
libMagickCore-6_Q16-1-debuginfo-32bit-6.8.8.1-25.1
libMagickWand-6_Q16-1-32bit-6.8.8.1-25.1
libMagickWand-6_Q16-1-debuginfo-32bit-6.8.8.1-25.1

- openSUSE Leap 42.2 (noarch):

ImageMagick-doc-6.8.8.1-25.1

- openSUSE Leap 42.1 (i586 x86_64):

ImageMagick-6.8.8.1-27.1
ImageMagick-debuginfo-6.8.8.1-27.1
ImageMagick-debugsource-6.8.8.1-27.1
ImageMagick-devel-6.8.8.1-27.1
ImageMagick-extra-6.8.8.1-27.1
ImageMagick-extra-debuginfo-6.8.8.1-27.1
libMagick++-6_Q16-3-6.8.8.1-27.1
libMagick++-6_Q16-3-debuginfo-6.8.8.1-27.1
libMagick++-devel-6.8.8.1-27.1
libMagickCore-6_Q16-1-6.8.8.1-27.1
libMagickCore-6_Q16-1-debuginfo-6.8.8.1-27.1
libMagickWand-6_Q16-1-6.8.8.1-27.1
libMagickWand-6_Q16-1-debuginfo-6.8.8.1-27.1
perl-PerlMagick-6.8.8.1-27.1
perl-PerlMagick-debuginfo-6.8.8.1-27.1

- openSUSE Leap 42.1 (x86_64):

ImageMagick-devel-32bit-6.8.8.1-27.1
libMagick++-6_Q16-3-32bit-6.8.8.1-27.1
libMagick++-6_Q16-3-debuginfo-32bit-6.8.8.1-27.1
libMagick++-devel-32bit-6.8.8.1-27.1
libMagickCore-6_Q16-1-32bit-6.8.8.1-27.1
libMagickCore-6_Q16-1-debuginfo-32bit-6.8.8.1-27.1
libMagickWand-6_Q16-1-32bit-6.8.8.1-27.1
libMagickWand-6_Q16-1-debuginfo-32bit-6.8.8.1-27.1

- openSUSE Leap 42.1 (noarch):

ImageMagick-doc-6.8.8.1-27.1


References:

https://www.suse.com/security/cve/CVE-2014-9848.html
https://www.suse.com/security/cve/CVE-2016-8707.html
https://www.suse.com/security/cve/CVE-2016-8866.html
https://www.suse.com/security/cve/CVE-2016-9556.html
https://www.suse.com/security/cve/CVE-2016-9559.html
https://www.suse.com/security/cve/CVE-2016-9773.html
https://bugzilla.suse.com/1009318
https://bugzilla.suse.com/1011130
https://bugzilla.suse.com/1011136
https://bugzilla.suse.com/1013376
https://bugzilla.suse.com/1014159

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung